### Function

# Ide Triplet new_with_triplet

#### Declaration

    IdeTriplet*
    ide_triplet_new_with_triplet (
      const gchar* arch,
      const gchar* kernel,
      const gchar* operating_system
    )

#### Description

Creates a new `IdeTriplet` from a given triplet of “arch-kernel-os” (like “x86_64-linux-gnu”)

Available since: | 3.32

#### Parameters

`arch` | `const gchar*`
| The name of the architecture of the machine (like “x86_64”)
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`kernel` | `const gchar*`
| The name of the kernel of the machine (like “linux”)
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`operating_system` | `const gchar*`
| The name of the os of the machine (like “gnuabi64”)
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `IdeTriplet`
| An `IdeTriplet`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.